## katedec katedec — Decodes Kate text streams |

## Synopsis

    struct              GstKateDec;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstKateDec

## Properties

      "category"                 gchar*                : Read
      "language"                 gchar*                : Read
      "original-canvas-height"   gint                  : Read
      "original-canvas-width"    gint                  : Read
      "remove-markup"            gboolean              : Read / Write

## Description

## Synopsis

### Element Information

plugin | kate
author | Vincent Penquerc'h <ogg.k.ogg.k@googlemail.com>
class | Codec/Decoder/Subtitle

### Element Pads

name | sink
direction | sink
presence | always
details | subtitle/x-kate

name | src
direction | source
presence | always
details | text/plain
| text/x-pango-markup
| video/x-dvd-subpicture

## Details

### struct GstKateDec

    struct GstKateDec;

## Property Details

### The `"category"` property

      "category"                 gchar*                : Read

The category of the stream.

Default value: ""

### The `"language"` property

      "language"                 gchar*                : Read

The language of the stream.

Default value: ""

### The `"original-canvas-height"` property

      "original-canvas-height"   gint                  : Read

The canvas height this stream was authored for (0 is unspecified).

Allowed values: >= 0

Default value: 0

### The `"original-canvas-width"` property

      "original-canvas-width"    gint                  : Read

The canvas width this stream was authored for.

Allowed values: >= 0

Default value: 0

### The `"remove-markup"` property

      "remove-markup"            gboolean              : Read / Write

Remove markup from decoded text ?.

Default value: FALSE